Create ecosystem
Roles
Analytics Events
/v1/ecosystemsCreates an ecosystem.
Analytic events
- ECOSYSTEM_CREATE_START
- ECOSYSTEM_CREATE_SUCCESS
- ECOSYSTEM_CREATE_FAIL
Authorization
bearerAuth In: header
Request Body
application/json
Response Body
application/json
application/json
curl -X POST "https://example.vii.au01.mattr.global/v1/ecosystems" \ -H "Content-Type: application/json" \ -d '{ "name": "My Ecosystem" }'{
"id": "87880d7e-a4d0-462e-8383-3f1e5e16865d",
"name": "My Ecosystem",
"integrations": [
{
"format": "MATTR",
"url": "https://example.vii.au01.mattr.global/v1/ecosystems/489755c9-1d74-4f59-a127-db7105667bfe/policy",
"enabled": true,
"integrationResult": {
"success": true,
"lastSyncedAt": "2024-09-10T02:28:36.550Z",
"lastModifiedAt": "2024-08-10T02:28:36.550Z",
"failReasons": [
{
"type": "UnknownVerificationError",
"message": "Unknown verification error occurred"
}
]
}
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Verify a verifiable presentation POST
Verifies a provided verifiable presentation that adheres to the [W3C Verifiable Credential Data Model](https://www.w3.org/TR/vc-data-model/#presentations): - Ensures the presentation conforms to the VC Data model. - For each `verifiableCredential` objects: - Issuer DID can be resolved. - JSON-LD context is valid for subject claims. - Proof is valid & the credential has not been tampered with. - Is not in a `revoked` status on a `RevocationList2020`. - The proof is valid for each subjectDID to prove ownership. - Valid proof exists for the presentation `holderDID`. The request must include a `presentation` object that adheres to the [W3C Verifiable Credential Data Model](https://www.w3.org/TR/vc-data-model/#presentations). If a `challenge` and/or `domain` is provided they are used for credential verification. Otherwise, the `challenge` and/or `domain` within the presentation proof is used instead. ### **Analytic events** * PRESENTATION_WEB_SEMANTIC_VERIFY_START * PRESENTATION_WEB_SEMANTIC_VERIFY_SUCCESS * PRESENTATION_WEB_SEMANTIC_VERIFY_FAIL
Retrieve all ecosystems GET
Retrieves a list of ecosystems. ### **Analytic events** * ECOSYSTEM_RETRIEVE_LIST_START * ECOSYSTEM_RETRIEVE_LIST_SUCCESS * ECOSYSTEM_RETRIEVE_LIST_FAIL